/* Copyright 2011-2012, Georgia Institute of Technology. All rights reserved. */
package org.gtri.icl.iead.policy_guide.portal;

import java.io.InputStream;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.Unmarshaller;

import com.sun.xml.wss.saml.internal.saml20.jaxb20.AssertionType;

public class SAMLAssertionParser {

	public static JAXBElement<AssertionType> parseAssertion(InputStream is) throws Exception {
		JAXBContext jc = JAXBContext.newInstance(AssertionType.class);
		Unmarshaller u = jc.createUnmarshaller();
		@SuppressWarnings("unchecked")
		JAXBElement<AssertionType> jaxbAssertion = (JAXBElement<AssertionType>)u.unmarshal(is);
		return jaxbAssertion;
	}
}
